SIMPLIFNOTEXPR(3)

NAME
simplifNotExpr - makes simplifications on an expression including inverters

SYNOPSYS
#include "logmmm.h"
chain_list *simplifNotExpr(expr)
chain_list *expr;

PARAMETER

expr
    expression to simplify

DESCRIPTION
simplifNotExpr() makes simplifications by applying the following rule :

(not (not a)) --> a

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
/* let's suppose that expr1 = (OR (NOT (NOT a)) (NOT (NOT (NOT b)))) */
expr2 = simplifNotExpr(expr1);
displayExpr(expr2);
/* it will display
(OR a (NOT b))
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), simplifExpr10(3), devXorExpr(3), devXor2Expr(3), notExpr(3), flatPolarityExpr(3), flatArityExpr(3), sortExpr(3), normExpr(3).